Jump to content

# Reflector (Català)

11 languages

- Deutsch
- Ελληνικά
- English
- Español
- Français
- 日本語
- Português
- Русский
- Türkçe
- 中文（简体）
- 中文（繁體）

From ArchWiki
Estat de traducció: Aquest article és una versió traduïda de Reflector. Última traducció: 2023-02-28. Si hi han hagut canvis a la versió anglesa, podeu ajudar a traduir-lo o avisar a l'equip de traducció.

Articles relacionats

- Miralls
- Pacman

Reflector és un script de Python que pot obtenir la llista de miralls més actualitzada de la pàgina Arch Linux Mirror Status, filtrar els miralls més actualitzats, ordenar-los per velocitat i sobreescriure el fitxer `/etc/pacman.d/mirrorlist`.

## Instal·lació

Instal·leu el paquet reflector.

## Ús

Advertència:

- En els següents exemples, se sobreescriurà `/etc/pacman.d/mirrorlist`. Feu una còpia de seguretat abans de continuar.
- Assegureu-vos que el fitxer `/etc/pacman.d/mirrorlist` resultant no conté entrades que no considereu de confiança abans de sincronitzar o actualitzar amb pacman.

Per a veure totes les opcions disponibles, executeu la comanda següent:

    $ reflector --help

### Exemples

Vegeu reflector(1) § EXAMPLES (en anglès). Els exemples que sobreescriuen `/etc/pacman.d/mirrorlist` han d'executar-se com a root.

Tip: Per a incloure els servidors globals, passeu una cadena buida a l'opció de país. Per exemple, per a incloure els miralls globals, els de França, i els d'Alemanya, s'utilitza `--country 'France,Germany,'`.[1]

## Automatització

### Servei de systemd

Reflector inclou el servei `reflector.service`. Aquest executa relfector amb els paràmetres especificats a `/etc/xdg/reflector/reflector.conf`. Les opcions per defecte d'aquest fitxer haurien de ser un bon punt de partida i un bon exemple.

Per exemple, per a seleccionar els 5 miralls més actualitzats de França i Alemanya que suporten HTTPS i sobreescriure `/etc/pacman.d/mirrorlist`, useu

    /etc/xdg/reflector/reflector.conf

    --save /etc/pacman.d/mirrorlist
    --country France,Germany
    --protocol https
    --latest 5

Activeu `reflector.service` per a executar Reflector a l'arrencada. Per a executar-lo immediatament, inicieu el servei.

Nota: `reflector.service` depén de que s'hagi configurat un servei d'espera de xarxa mitjançant network-online.target.

### Temporitzador de systemd

Reflector ofereix un temporitzador de systemd que inicia el #Servei de systemd `reflector.service` setmanalment. La programació pot canviar-se editant `reflector.timer`.

Primer editeu el fitxer de configuració com s'explica a #Servei de systemd. Despres d'actualitzar el fitxer de configuració, inicieu i activeu `reflector.timer`.

Per a refrescar la llista de miralls abans del programat, inicieu `reflector.service`.

### Ganxo de pacman

pacman-mirrorlist no s'actualitza freqüentment, executar reflector només perquè s'ha afegit o eliminat algun mirall en alguna part del món no és rellevant. En comptes d'això, utilitzeu l'automatització basada en temporitzador. Si no voleu que s'instal·li `mirrorlist.pacnew`, useu `NoExtract` a `pacman.conf`.

## Vegeu també

- Fil (en anglès) sobre Reflector als Fòrums d'Arch Linux
- Pàgina del projecte incloent-hi el registre de canvis

Category:

- Package management (Català)